Payments & FinanceBilling
Get the current AI credit balance
GET
/v1/billing/current/ai-credits/balanceGet the current AI credit balance. A successful request returns HTTP 200 with the documented response body.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Header Parameters
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/billing/current/ai-credits/balance" \ -H "Authorization: Bearer <token>"{ "accountId": "7204558912004325301", "monthlyCreditAllowance": 1, "monthlyCreditsUsed": 1, "purchasedCreditBalance": 1, "reservedCredits": 1, "availableCredits": 1, "cycleStartsOn": "2026-08-01T15:30:00Z", "cycleEndsOn": "2026-08-01T15:30:00Z"}